hbase-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From apurt...@apache.org
Subject [9/9] hbase git commit: HBASE-13341 Add option to disable filtering on interface annotations for the API compatibility report
Date Thu, 02 Apr 2015 05:10:47 GMT
HBASE-13341 Add option to disable filtering on interface annotations for the API compatibility
report


Project: http://git-wip-us.apache.org/repos/asf/hbase/repo
Commit: http://git-wip-us.apache.org/repos/asf/hbase/commit/d6d9a64b
Tree: http://git-wip-us.apache.org/repos/asf/hbase/tree/d6d9a64b
Diff: http://git-wip-us.apache.org/repos/asf/hbase/diff/d6d9a64b

Branch: refs/heads/0.98
Commit: d6d9a64bc466ecb904c7b4d398bfb89a2ddb28fd
Parents: 5a841eb
Author: Andrew Purtell <apurtell@apache.org>
Authored: Wed Apr 1 21:58:57 2015 -0700
Committer: Andrew Purtell <apurtell@apache.org>
Committed: Wed Apr 1 22:10:03 2015 -0700

----------------------------------------------------------------------
 dev-support/check_compatibility.sh | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/hbase/blob/d6d9a64b/dev-support/check_compatibility.sh
----------------------------------------------------------------------
diff --git a/dev-support/check_compatibility.sh b/dev-support/check_compatibility.sh
index 1d939e0..5410854 100755
--- a/dev-support/check_compatibility.sh
+++ b/dev-support/check_compatibility.sh
@@ -65,6 +65,7 @@ a branch (e.g. 0.98), or a particular commit hash. If ref2 is omitted, master
 will be used.
 
 Options:
+  -a, --all                     Do not filter by interface annotations.
   -b, --binary-only             Only run the check for binary compatibility.
   -f, --force-download          Download dependencies (i.e. Java ACC), even if they are
                                 already present.
@@ -88,8 +89,8 @@ __EOF
 GETOPT=${GETOPT:-/usr/bin/env getopt}
 
 # Parse command line arguments and check for proper syntax.
-if ! ARG_LIST=$(${GETOPT} -q -o bfhno:qr:s \
-    -l binary-only,force-download,help,no-checkout,options:,quick,repo:,source-only \
+if ! ARG_LIST=$(${GETOPT} -q -o abfhno:qr:s \
+    -l all,binary-only,force-download,help,no-checkout,options:,quick,repo:,source-only \
     -- "${@}"); then
   usage >&2
   exit 1
@@ -98,6 +99,9 @@ eval set -- "${ARG_LIST[@]}"
 
 while ((${#})); do
   case "${1}" in
+    -a | --all            )
+      ALL=true
+      shift 1 ;;
     -b | --binary-only    )
       JAVA_ACC_COMMAND+=(-binary)
       shift 1 ;;
@@ -259,7 +263,9 @@ JAVA_ACC_COMMAND+=(-v1 ${COMMIT[1]} -v2 ${COMMIT[2]})
 JAVA_ACC_COMMAND+=(-d1 ${JARS[1]} -d2 ${JARS[2]})
 JAVA_ACC_COMMAND+=(-report-path \
     ${SCRIPT_DIRECTORY}/target/compatibility/report/${COMMIT[1]}_${COMMIT[2]}_compat_report.html)
-JAVA_ACC_COMMAND+=(-annotations-list ${SCRIPT_DIRECTORY}/target/compatibility/annotations)
+if [ "${ALL}" != "true" ] ; then
+  JAVA_ACC_COMMAND+=(-annotations-list ${SCRIPT_DIRECTORY}/target/compatibility/annotations)
+fi
 
 # Delete any existing report folder under /dev-support/target/compatibility.
 rm -rf ${SCRIPT_DIRECTORY}/target/compatibility/report


Mime
View raw message